<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrderItem extends Model 
{

    protected $table = 'order_items';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('order_id', 'status');
    protected $visible = array('order_id', 'status');

    public function order()
    {
        return $this->belongsTo('Order');
    }

    public function currency()
    {
        return $this->belongsTo('Currency');
    }

}